import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiPageViewBlockConfig } from "../generated/UiPageViewBlockConfig";
import { UiPageViewConfig } from "../generated/UiPageViewConfig";
export declare class UiPageView extends UiComponent<UiPageViewConfig> {
    private $component;
    private rows;
    constructor(config: UiPageViewConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    addBlock(blockConfig: UiPageViewBlockConfig, before: boolean, otherBlockId?: string): void;
    private addRow;
    onResize(): void;
    destroy(): void;
    protected onAttachedToDom(): void;
}
